### Method

# Gtk EntryCompletion get_model

#### Declaration [src]

    GtkTreeModel*
    gtk_entry_completion_get_model (
      GtkEntryCompletion* completion
    )

#### Description [src]

Returns the model the `GtkEntryCompletion` is using as data source.

Returns `NULL` if the model is unset.

Gets property | `Gtk.EntryCompletion:model`

#### Return value

Returns: | `GtkTreeModel`
| A `GtkTreeModel`.
| The data is owned by the instance.
| The return value can be `NULL`.